package it.gabrieleerba.nzuntachat;

/**
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *  
 *  Copyright 2002 
 *
 * @author Gabriele Erba <nzunta@gabrile-erba.it>
 * @version 0.9
 *
 */
import java.net.*; 
import java.io.*; 
import java.awt.Color ;
import it.gabrieleerba.nzuntachat.Utility.* ;
public class J_Engine extends Thread{
    
    private Socket mysocket = null ;
    private chatlist chatlisten = null;
    
    public J_Engine(Socket s, chatlist cl) {
        this.mysocket = s ;
        this.chatlisten = cl ;
    }
    
    public void run() {  
         String ricevuto;
         try { 
            DataInputStream i = new DataInputStream(mysocket.getInputStream()) ;
            while (true){ 
                ricevuto = i.readUTF() ;
                if (ricevuto.equals("dis")) {
                    int x=0 ;
                    int y=0 ;
                    int z = 0 ;
                    int v =0;
                    int col = 0;
                    Color mycol ;
                    x=i.readInt() ;
                    y=i.readInt() ;
                    z=i.readInt() ;
                    v=i.readInt() ;
                    col =i.readInt() ;
                    mycol=it.gabrieleerba.nzuntachat.Utility.utils.trovacol(col) ;
                    chatlisten.dis(x,y,z,v,mycol) ;
            } 
            if (ricevuto.equals("cha")) { 
                int x=0 ;
                Color mycol ;
                x=i.readInt() ;
                mycol=it.gabrieleerba.nzuntachat.Utility.utils.trovacol(x) ;
                chatlisten.changecolor(mycol) ;
            } 
            if (ricevuto.equals("text"))  { 
                chatlisten.rec(i.readUTF()) ;
            } 
            if (ricevuto.equals("el"))  { 
                chatlisten.eliminariga() ;
            } 
            if (ricevuto.equals("file"))  { 
                chatlisten.inviofile(i.readUTF(),i.readUTF()) ;
            } 
            if (ricevuto.equals("vuota"))  { 
                chatlisten.eliminatutto() ;
            } 
            if (ricevuto.equals("end"))  { 
                chatlisten.disconnetti() ;
            } 
            if (ricevuto.equals("coop"))  { 
                chatlisten.cooperative() ;
            } 
        } 
    } 
    catch (Exception e){}
}}


