package it.gabrieleerba.nzuntachat.dfile;

import java.net.*; 
import java.io.* ;
/**
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *  
 *  Copyright 2002 
 *
 * @author Gabriele Erba <nzunta@gabrile-erba.it>
 * @version 1.0
 *
 */
public class fileserver extends Thread{
    ServerSocket server ;
    int porta ;
     /**
     * 
     * costruttore del Thread
     * 
     * @param port porta su cui aprire una connessione passiva
     */
    public fileserver(int port) {
        porta = port ;
    }
    public void run() {  
        try { 
            server = new ServerSocket (porta); 
            while (true){ 
                // quando si connette un client f partire un Thread per gestire
                // la richiesta
                Socket Client = server.accept (); 
                new Thread(new myserverfile(Client)).start() ;
            } 
        } 
        catch (UnknownHostException e){ 
            System.err.println("Host non trovato") ;
            e.printStackTrace();
        } 
        catch (IOException ioe){ 
            System.err.println("Errore nel filesystem o nella connesione") ;
            ioe.printStackTrace();
        } 
    } 
}
