package it.gabrieleerba.nzuntachat.dfile;

import java.net.*; 
import java.io.*; 
/**
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *  
 *  Copyright 2002 
 *
 * @author Gabriele Erba <nzunta@gabrile-erba.it>
 * @version 1.0
 *
 */
public class myclient extends javax.swing.JFrame implements java.lang.Runnable {
    InetAddress ind_ip ;
    int porta ;
    String nomefile ;
    String Path ;
    String stato="" ;
     /**
     * 
     * costruttore del Thread
     * 
     * @param port porta a cui connettersi
     *
     * @param ip ip a cui connettersi
     *
     * @param path percorso assoluto del file da scaricare  
     * 
     */
    public myclient(int port, InetAddress ip, String path) {
        initComponents();
        porta = port ;
        ind_ip = ip ;
        Path = path ;
        nomefile = "" ;
    }


    private void initComponents() {//GEN-BEGIN:initComponents
        jLabel1 = new javax.swing.JLabel();
        jTextField2 = new javax.swing.JTextField();
        jButton1 = new javax.swing.JButton();
        jLabel2 = new javax.swing.JLabel();
        jTextField1 = new javax.swing.JTextField();
        getContentPane().setLayout(new java.awt.FlowLayout());
        setTitle("Client");
	addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                exitForm(evt);
            }
        });
        jLabel1.setText("Download del file ");
        getContentPane().add(jLabel1);
        jTextField2.setText("                                  ");
        getContentPane().add(jTextField2);
        jButton1.setText("Chiudi");
        jButton1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jButton1MouseClicked(evt);
            }
        });
        getContentPane().add(jButton1);
        jLabel2.setText("stato del trasferimento ");
        getContentPane().add(jLabel2);
        jTextField1.setText("                                 ");
        getContentPane().add(jTextField1);
        pack();
    }//GEN-END:initComponents

    private void jButton1MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jButton1MouseClicked
	dispose() ;
    }//GEN-LAST:event_jButton1MouseClicked

    private void exitForm(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_exitForm
       dispose() ;
    }//GEN-LAST:event_exitForm
 
    public void run() {
        try{
            this.show() ;
            long lung_file = 0, file_letto = 0;
            String s_attuale = "";
            int n = 0;
            byte buffer[] = new byte[256] ;
            // creazione del canale socket e dei canali dati 
            Socket SocketClient = new Socket(ind_ip, porta);
            OutputStream oo =  SocketClient.getOutputStream() ;
            DataOutputStream o = new DataOutputStream(oo);
            DataInputStream in = new DataInputStream(SocketClient.getInputStream()) ;
            BufferedInputStream i = new  BufferedInputStream(in) ;
            // invio path da cui scaricare il file
            o.writeUTF(Path) ;
            // ricezione della lunghezza e del nome
            lung_file = in.readLong() ;
            nomefile = in.readUTF() ;
            // crea file su cui copiare
            FileOutputStream out = new FileOutputStream(System.getProperty("user.dir") + System.getProperty("file.separator") + 
						  "download" + System.getProperty("file.separator") +  nomefile) ;
            jTextField2.setText(nomefile);
            n = i.read(buffer);
            // salva i dati del file e aggiorna lo stato
            while (n>0) { 
                out.write(buffer, 0 , n) ;
                n = i.read(buffer);
                file_letto = file_letto + 256 ;
                s_attuale = s_attuale.valueOf(100 * file_letto / lung_file) ;
                if (s_attuale.equals(stato)) {}
                else { 
                    jTextField1.setText(s_attuale + " %");
                    stato = s_attuale;
                } 
     
            } 
            SocketClient.close (); 
            out.close();
            in.close();
           } 
           catch (UnknownHostException e){ 
           System.err.println("Host non trovato") ;
           e.printStackTrace();
	   dispose() ;
           } 
           catch (IOException e){
           System.err.println("Problemi con il filesytem") ;
           e.printStackTrace();
	   dispose() ;
           }
    }    

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabel1;
    private javax.swing.JTextField jTextField2;
    private javax.swing.JButton jButton1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JTextField jTextField1;
    // End of variables declaration//GEN-END:variables

}
